if (select(2, UnitClass("player"))) ~= "ROGUE" then return end
----------------------
TickTo = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0")
local addon = TickTo
local font = GameFontNormal:GetFont()
----------------------

----------------------
function addon:OnInitialize()

	self:RegisterDB("TTDB", "TTPerCharDB")

end
----------------------

----------------------
function addon:OnEnable()

self:RegisterBucketEvent("UNIT_ENERGY", 0.2, "EnergyUpdate")
self:CreateFrame()
self:EnergyUpdate()
self:RestorePosition()

end
----------------------

----------------------
function addon:CreateFrame()

local f = CreateFrame("Frame", "TickToFrame", UIParent)

f:Show()
f:SetBackdrop({
		bgFile = "Interface\\ChatFrame\\ChatFrameBackground", tile = true, tileSize = 16,
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", edgeSize = 16,
		insets = {left = 4, right = 4, top = 4, bottom = 4},
})
f:SetWidth(40)
f:SetHeight(50)
f:EnableMouse(true)
f:SetMovable(true)
f:RegisterForDrag"LeftButton"
f:SetScript("OnDragStart", function() if not InCombatLockdown() and IsAltKeyDown() then this:StartMoving() end end)
f:SetScript("OnDragStop", function() if not InCombatLockdown() then this:StopMovingOrSizing() self:SavePosition() end end)

f:SetBackdropColor(0, 0, 0)
f:SetBackdropBorderColor(0, 0, 0)
f:SetPoint("CENTER", UIParent)

-- 60
f.si = f:CreateFontString(nil,"OVERLAY")
f.si:SetFont(font, 11)
f.si:SetWidth(40)
f.si:SetHeight(15)
f.si:SetText("")
f.si:ClearAllPoints()
f.si:SetPoint("TOP", f, "TOP", 0, -2)
-- 40
f.fo = f:CreateFontString(nil,"OVERLAY")
f.fo:SetFont(font, 11)
f.fo:SetWidth(40)
f.fo:SetHeight(15)
f.fo:SetText("")
f.fo:ClearAllPoints()
f.fo:SetPoint("TOP", f, "TOP", 0, -12)
-- 35
f.th = f:CreateFontString(nil,"OVERLAY")
f.th:SetFont(font, 11)
f.th:SetWidth(40)
f.th:SetHeight(15)
f.th:SetText("")
f.th:ClearAllPoints()
f.th:SetPoint("TOP", f, "TOP", 0, -22)
-- 25
f.tw = f:CreateFontString(nil,"OVERLAY")
f.tw:SetFont(font, 11)
f.tw:SetWidth(40)
f.tw:SetHeight(15)
f.tw:SetText("")
f.tw:ClearAllPoints()
f.tw:SetPoint("TOP", f, "TOP", 0, -32)

self.TickToFrame = f

end
----------------------

----------------------
function addon:EnergyUpdate()

self:SixtyUpdate()
self:ThirtyUpdate()
self:FourtyUpdate()
self:TwentyUpdate()

end
----------------------

----------------------
function addon:SixtyUpdate()

local ecount
local amount = UnitMana("player")

	ecount = ceil( (60 - amount) / 20 )
       	if UnitIsDeadOrGhost("player") then 
			ecount = "|cffffffff60:|r |cffff00000|r"
		elseif ecount <= 0 then
			ecount = "|cffffffff60:|r |cff00ff000|r"
		elseif ecount == 1 then
			ecount = "|cffffffff60:|r |cffff66001|r"
		else -- ecount == 2 then
			ecount = "|cffffffff60:|r |cffff00002|r"
		end
		
self.TickToFrame.si:SetText(ecount)

end
----------------------

----------------------
function addon:FourtyUpdate()

local ecount
local amount = UnitMana("player")

	ecount = ceil( (40 - amount) / 20 )
       	if UnitIsDeadOrGhost("player") then 
			ecount = "|cffffffff40:|r |cffff00000|r"
		elseif ecount <= 0 then
			ecount = "|cffffffff40:|r |cff00ff000|r"
		elseif ecount == 1 then
			ecount = "|cffffffff40:|r |cffff66001|r"
		else -- ecount == 2 then
			ecount = "|cffffffff40:|r |cffff00002|r"
		end
		
self.TickToFrame.fo:SetText(ecount)

end
----------------------

----------------------
function addon:ThirtyUpdate()

local ecount
local amount = UnitMana("player")

	ecount = ceil( (35 - amount) / 20 )
       	if UnitIsDeadOrGhost("player") then 
			ecount = "|cffffffff35:|r |cffff00000|r"
		elseif ecount <= 0 then
			ecount = "|cffffffff35:|r |cff00ff000|r"
		elseif ecount == 1 then
			ecount = "|cffffffff35:|r |cffff66001|r"
		else -- ecount == 2 then
			ecount = "|cffffffff35:|r |cffff00002|r"
		end
		
self.TickToFrame.th:SetText(ecount)

end
----------------------

----------------------
function addon:TwentyUpdate()

local ecount
local amount = UnitMana("player")

	ecount = ceil( (25 - amount) / 20 )
       	if UnitIsDeadOrGhost("player") then 
			ecount = "|cffffffff25:|r |cffff00000|r"
		elseif ecount <= 0 then
			ecount = "|cffffffff25:|r |cff00ff000|r"
		elseif ecount == 1 then
			ecount = "|cffffffff25:|r |cffff66001|r"
		else -- ecount == 2 then
			ecount = "|cffffffff25:|r |cffff00002|r"
		end
		
self.TickToFrame.tw:SetText(ecount)

end
----------------------

----------------------
function addon:SavePosition()

	local f = self.TickToFrame

	self.db.profile.posx = f:GetLeft()
	self.db.profile.posy = f:GetTop()

end
---------------------

---------------------
function addon:RestorePosition()

    local f = self.TickToFrame
	local x = self.db.profile.posx
	local y = self.db.profile.posy

	if not x or not y then return end

	f:ClearAllPoints()
	f:SetPoint("TOPLEFT", UIParent, "BOTTOMLEFT", x, y)

end
---------------------